Page MenuHomeFreeBSD

sysutils/u-boot-master etc.: u-boot Improvement for 2018.07
ClosedPublic

Authored by manu on Aug 6 2018, 1:29 AM.

Details

Summary
  • Add metadata for IMX6 family
  • While here rename the riotboard family to IMX6 as it should have been
  • Remove the cache patches, they aren't needed anymore, I should have checked that with the 2018.07 update
  • beaglebone use a custom bootcmd that calls envboot, this command will try to load and source the file boot.scr (u-boot script) from the mmc. For some reason it seems to corrupts some memory or something because loading and executing ubldr.bin after running this command will either hang or cause an exception on undefined instruction. I'll check with upstream but in the meantime use a special fragment that redefine the bootcmd. Note that since u-boot will load the environment from the eMMC, one need to 'env default -f -a; saveenv' to have the bootcmd variable correctly redefined.
Test Plan

Tested-On: RPI-B
Tested-On: BananaPi
Tested-On: BeagleBone Black

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

manu created this revision.Aug 6 2018, 1:29 AM
linimon retitled this revision from u-boot: Improvement for 2018.07 to sysutils/u-boot-master etc.: u-boot Improvement for 2018.07.Aug 7 2018, 6:19 AM
imp accepted this revision.Aug 10 2018, 3:09 PM
This revision is now accepted and ready to land.Aug 10 2018, 3:09 PM
This revision was automatically updated to reflect the committed changes.